import * as $dara from '@darabonba/typescript';
export declare class DeleteAttackPathWhitelistRequest extends $dara.Model {
    /**
     * @remarks
     * Attack path whitelist ID.
     * > You can call [ListAttackPathWhitelist](~~ListAttackPathWhitelist~~) to query the attack path whitelist ID.
     *
     * This parameter is required.
     *
     * @example
     * apwl-b33dec0acf9b42aabde032d656c0****
     */
    attackPathWhitelistId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
